Subject: bug#49316: Add apply-partially's right version

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Jul 2021 21:45:15 +0300

> From: daanturo <[email-masked]>
> Date: Fri, 2 Jul 2021 00:06:35 +0700
> Cc: "Basil L. Contovounesios" <[email-masked]>
> 
> (Please ignore my immediately precededing email, I'm sorry for not being 
> used to sending patches by mailing list.)

I see no problems in the preceding email, so I think you have nothing
to apologize for.

> +@defun apply-rpartially func &rest args
> +This function does mostly the same as @code{apply-partially}, but
> +@var{args} are aligned to the right of @var{func}'s parameters
> +instead.

I don't think this explains the purpose of the function clearly
enough.  The documentation of apply-partially doesn't mention any
"alignment", so it's hard to understand what you want to say here.
Can you think of a better description?

> +@example
> +@group
> +(defalias 'square (apply-rpartially #'expt 2)
> + "Return argument squared.")
> +@end group
> +@group
> +(square 3)
> + @result{} 9
> +@end group
> +@end example

IMO, the example could be more revealing if you could contrast
apply-rpartially with apply-partially.

> ++++
> +** New function 'apply-rpartially'.
> +Funcionally equivalent to 'apply-partially' but arguments are aligned
> +to the right instead.

After we find a good wording for the manual, we should think how to
reword the NEWS entry accordingly.

Thanks.